## nanoTest.awk
#
BEGIN {
	XX = "X:/"
	# XX = "//princess7/x/"
	ZZ = "Z:/"
	# ZZ = "//princess7/z/"
	INPUT = XX "TEST/"
	OUTPUT = ZZ "TEST/"
	print ""
	# print "\e[92mTest ###\e[m"
	# copy(XX, ZZ, "pro")
# exit(0)

	print "\e[92mcopy ミュージック2 ###\e[m"
	remove(ZZ "ミュージック2/", "pro")
	copy(XX "ミュージック/", ZZ "ミュージック2/", "pro")

	print "\e[92mcopy Test ###\e[m"
	remove(OUTPUT, "pro")
	copy(INPUT, OUTPUT, "pro")
exit(0)

	LONG = INPUT "Long/"
	MUSIC = XX "ミュージック/"
	set("DISPLAY_WIDTH=35 MAX_PATH=25")
	print "\e[92m# Long\e[m"
	path50 = "---+----1----+----2----+----3----+----4----+----5"
	path100 = path50 "----+----6----+----7----+----8----+----9----+----0"
	path200 = path100 "B" path100
	fileName = "/Z" path200 path50 "_5.txt"
	# path = LONG "A" path200 fileName
	print "" > path
	print "\e[92m#############\e[m"
	# copy(CURR"UTF*.cmd", INPUT, "-r")
	# copy(CURR"MATRIX*.html", INPUT, "-r")
	print "" > INPUT"TEMP.txt"
	# remove(CURR"_*.tmp", "-r")
# exit(0)
	print "\e[92mpro sync #############\e[m"
	tree(INPUT, "file")
	clean(INPUT, "clean")
	copy(INPUT, OUTPUT, "sync")
	tree(OUTPUT, "file")
	print "\e[92m#############\e[m"
	remove(INPUT)
	move(OUTPUT, INPUT, "pro")
	# copy(INPUT, OUTPUT, "pro sync")
	# move(OUTPUT, INPUT, "pro")
	tree(INPUT, "file")

	# clean(MUSIC, "clean")
	print "\e[92m#############\e[m"

	# remove(ZZ"TEMP.txt", "2> '_b''a_r.tmp' ro 2>_foo.tmp -r")	# ファイル指定
	# remove(ZZ"TEMP.txt", "2> '_b''a r.tmp ro 2> _b''a r.tmp' -r")	# ファイル指定
	# remove(ZZ"TEMP.txt", "2>_foo bar.baz.tmp ro 2>_foo -r")	# ファイル指定
}